public static interface FlinkEndpointBuilderFactory.FlinkBuilders
| Modifier and Type | Method and Description |
|---|---|
default FlinkEndpointBuilderFactory.FlinkEndpointBuilder |
flink(String path)
Flink (camel-flink)
Send DataSet jobs to an Apache Flink cluster.
|
default FlinkEndpointBuilderFactory.FlinkEndpointBuilder |
flink(String componentName,
String path)
Flink (camel-flink)
Send DataSet jobs to an Apache Flink cluster.
|
default FlinkEndpointBuilderFactory.FlinkEndpointBuilder flink(String path)
flink:endpointType
Path parameter: endpointType (required)
Type of the endpoint (dataset, datastream).
There are 2 enums and the value can be one of: dataset, datastreampath - endpointTypedefault FlinkEndpointBuilderFactory.FlinkEndpointBuilder flink(String componentName, String path)
flink:endpointType
Path parameter: endpointType (required)
Type of the endpoint (dataset, datastream).
There are 2 enums and the value can be one of: dataset, datastreamcomponentName - to use a custom component name for the endpoint
instead of the default namepath - endpointTypeApache Camel